# `$log` ( service in module `ngMock` )

## Description

Mock implementation of `ng.$log` that gathers all logged messages in arrays (one array per logging level). These arrays are exposed as `logs` property of each of the level-specific log function, e.g. for level `error` the array is exposed as `$log.error.logs` .

## Methods

- ### assertEmpty()

  Assert that the all of the logging methods have no logged messages. If messages present, an exception is thrown.

- ### reset()

  Reset all of the logging arrays to empty.

## Properties

- ### logs

  Array of logged messages.

- ### logs

  Array of logged messages.

- ### logs

  Array of logged messages.

- ### logs

  Array of logged messages.